# Makefile for Linux NPI Server
#
# $Revision: 20578 $
# $Date: 2009-08-17 14:27:28 -0700 (Mon, 17 Aug 2009) $

OBJS = debug

LIBS= -lpthread
CC := gcc
CXX := g++

DEFINES = -DRNP_HOST 
# -D__DEBUG_TIME__
# -DNPI_UNIX
#-D__BIG_DEBUG__ 
#-DNPI_UNRELIABLE_SIGACTION
DEFINES_UART = -DHAL_SPI=FALSE -DHAL_UART=TRUE -DHAL_I2C=FALSE

INCLUDES= -I application\
	-I ipclib \
	-I rtilib \
	-I services
           
MAINAPP_OBJS= \
	$(OBJS)/npi_lnx_ipc.o

NPIUARTLIB_OBJS= \
	$(OBJS)/npi_lnx_uart.o


PROJ_UART_OBJS= $(MAINAPP_OBJS) $(NPIUARTLIB_OBJS) $(HAL_LIB_OBJS) 

all: $(OBJS)
$(OBJS):
	-if test ! -d $(OBJS); then mkdir $(OBJS); fi

all:
PROJ_OBJS=$(MAINAPP_OBJS) $(RTILIB_OBJS) $(NPIUARTLIB_OBJS) 
CCFLAGS = -Wall  $(INCLUDES) $(DEFINES) $(DEFINES_UART) 

all: $(OBJS)/NPI_Server_PC

clean:
	-if test -d $(OBJS); then rm -f $(OBJS)/*.o; fi
	-if test -f $(OBJS)/NPI_Server_PC; then rm -f $(OBJS)/NPI_Server_PC; fi

erase_obj:
	-if test -d $(OBJS); then rm -f $(OBJS)/*.o; fi

$(OBJS)/NPI_Server_PC: $(PROJ_UART_OBJS)
	$(CC) -o $@ $(PROJ_UART_OBJS) $(LIBS) $(CCFLAGS)

$(OBJS)/npi_lnx_ipc.o: ipclib/npi_lnx_ipc.c
	$(CC) -c -o $@ $(CCFLAGS) $<

$(OBJS)/npi_lnx_uart.o: ipclib/npi_lnx_uart.c
	$(CC) -c -o $@ $(CCFLAGS) $<

.PHONY: all clean uart spi i2c
